/**********************************************************************************/
/*                 How to Kill Your Server in 60 (75) Minutes                     */
/*                     Written by: Dmitri V. Korotkevitch                         */
/*                            dk@aboutsqlserver.com                               */
/*                          http://aboutsqlserver.com                             */
/**********************************************************************************/
/*                              01. Custom Search                                 */
/**********************************************************************************/

set nocount on
set xact_abort on
go

use ForestSoft
go

-- Enable "Include Actual Execution Plan"
set statistics io, time on
exec fs.SearchCustomersByName @Name='Bi'
exec fs.SearchCustomersByNumber @Number='28'
set statistics io, time on
go

set statistics io, time on
exec fs.SearchCustomers @Name='Bi', @Number=null
exec fs.SearchCustomers @Name=null, @Number='28'
set statistics io, time on
go

set statistics io, time on
exec fs.SearchCustomersV2 @Name='Bi', @Number=null
exec fs.SearchCustomersV2 @Name=null, @Number='28'
exec fs.SearchCustomersV2 @Name='Bi', @Number='28'
set statistics io, time on
go